import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:go_router/go_router.dart';

class SettingsScreen extends StatelessWidget {
  const SettingsScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Material(
      color: Theme.of(context).colorScheme.surface,
      child: Scaffold(
        appBar: AppBar(
          title: Text('settings'.tr),
        ),
        body: ListView(
          children: [
            ListTile(
              contentPadding: const EdgeInsets.symmetric(horizontal: 24),
              trailing: const Icon(Icons.chevron_right),
              title: Text('settingsAlertSection'.tr),
              onTap: () {
                GoRouter.of(context).pushNamed('settingsAlert');
              },
            ),
            ListTile(
              contentPadding: const EdgeInsets.symmetric(horizontal: 24),
              trailing: const Icon(Icons.chevron_right),
              title: Text('settingsDataSection'.tr),
              onTap: () {
                GoRouter.of(context).pushNamed('settingsDataSource');
              },
            ),
          ],
        ),
      ),
    );
  }
}
